# DXWriter.cpp File Reference

`#include <osg/Node>`
`#include <osg/Group>`
`#include <osg/LOD>`
`#include <osg/Geode>`
`#include <osg/GeoSet>`
`#include <osg/Notify>`
`#include <osg/NodeVisitor>`
`#include <osg/StateAttribute>`
`#include <osg/StateSet>`
`#include <osg/Material>`
`#include <osg/Texture2D>`
`#include <osg/TexEnv>`
`#include <osg/CullFace>`
`#include <osg/Billboard>`
`#include <osg/Math>`
`#include <osgDB/ReadFile>`
`#include <iostream>`
`#include <vector>`
`#include <map>`
`#include <string>`
`#include <stdio.h>`
`#include <assert.h>`
`#include <stdarg.h>`
`#include <limits.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include "DXWriter.h"`
`#include "AreaGeoSetTriangulator.h"`
`#include "StateSetStr.h"`
`#include <math.h>`
`#include <unistd.h>`

Include dependency graph for DXWriter.cpp:

## Namespaces

namespace | dx

## Defines

#define | ARRAY_LEN(a) (sizeof(a)/sizeof((a)[0]))

## Typedefs

typedef unsigned char | Vec4UB [4]
typedef unsigned char | Vec3UB [3]

## Functions

int | WARNING (char fmt[],...)
void | GetParms (int argc, char *argv[], char infile[DX_PATH_MAX], WriterParms &parms)
int | IsNaNorInf (float f)
float | Luminance (const osg::Vec4 &v)
char * | Vec4AttributeString (char buf[], char name[], int front_and_back, osg::Vec4 &front, osg::Vec4 &back)
bool | WriteDX (const osg::Node &node, WriterParms &parms, std::string &messages)

## Variables

const osg::Vec3 | INVALID_NORMAL (-99,-99,-99)
const osg::Vec3 | INVALID_COLOR (0, 0, 0)
const float | INVALID_OPACITY = 1.0
const float | ALPHA_OPAQUE = 1.0

## Define Documentation

#define ARRAY_LEN | ( | a |  | ) | (sizeof(a)/sizeof((a)[0]))

## Typedef Documentation

typedef unsigned char dx::Vec3UB[3]

typedef unsigned char dx::Vec4UB[4]

## Function Documentation

void GetParms | ( | int | argc,
|  | char * | argv[],
|  | char | infile[DX_PATH_MAX],
|  | WriterParms & | parms
| ) |

int IsNaNorInf | ( | float | f | ) | `[inline]`

float Luminance | ( | const osg::Vec4 & | v | ) | `[inline]`

char* Vec4AttributeString | ( | char | buf[],
|  | char | name[],
|  | int | front_and_back,
|  | osg::Vec4 & | front,
|  | osg::Vec4 & | back
| ) | `[inline]`

int WARNING | ( | char | fmt[],
|  |  | ...
| ) | `[inline]`

bool WriteDX | ( | const osg::Node & | node,
|  | WriterParms & | parms,
|  | std::string & | messages
| ) |

## Variable Documentation

const float dx::ALPHA_OPAQUE = 1.0

const osg::Vec3 dx::INVALID_COLOR(0, 0, 0)

const osg::Vec3 dx::INVALID_NORMAL(-99,-99,-99)

const float dx::INVALID_OPACITY = 1.0